Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class MoveLinesAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.texteditor.ResourceAction
                      org.eclipse.ui.texteditor.TextEditorAction
                          org.eclipse.ui.texteditor.MoveLinesAction

All Implemented Interfaces:
  IAction, IUpdate

    public class MoveLinesAction

extends TextEditorAction

Action for moving selected lines in an editor.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`MoveLinesAction(ResourceBundle bundle, String prefix, AbstractTextEditor editor, boolean upwards, boolean copy)` Deprecated. As of 3.5, replaced by `MoveLinesAction(ResourceBundle, String, ITextEditor, ITextViewer, boolean, boolean)`
`MoveLinesAction(ResourceBundle bundle, String prefix, ITextEditor editor, ITextViewer textViewer, boolean upwards, boolean copy)` Creates and initializes the action for the given text editor.

Method Summary
`void` `runWithEvent(Event event)` The default implementation of this `IAction` method ignores the event argument, and simply calls `run()`.
`void` `setEditor(ITextEditor editor)` Retargets this action to the given editor.
`void` `update()` Always enables this action if it is connected to a text editor.

Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction
`canModifyEditor, getTextEditor, validateEditorInputState`

Methods inherited from class org.eclipse.ui.texteditor.ResourceAction
`getString, initialize, setHelpContextId`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### MoveLinesAction

    public MoveLinesAction(ResourceBundle bundle,
                           String prefix,
                           ITextEditor editor,
                           ITextViewer textViewer,
                           boolean upwards,
                           boolean copy)

  Creates and initializes the action for the given text editor. The action configures its visual representation from the given resource bundle.

  Parameters:
    `bundle` - the resource bundle
    `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
    `editor` - the text editor
    `textViewer` - the text viewer
    `upwards` - `true`if the selected lines should be moved upwards, `false` if downwards
    `copy` - if `true`, the action will copy lines instead of moving them
  Since:
    3.5
  See Also:
    `TextEditorAction.TextEditorAction(ResourceBundle, String, ITextEditor)`

### MoveLinesAction

    public MoveLinesAction(ResourceBundle bundle,
                           String prefix,
                           AbstractTextEditor editor,
                           boolean upwards,
                           boolean copy)

  Deprecated. As of 3.5, replaced by `MoveLinesAction(ResourceBundle, String, ITextEditor, ITextViewer, boolean, boolean)`

  Creates and initializes the action for the given text editor. The action configures its visual representation from the given resource bundle.

  Parameters:
    `bundle` - the resource bundle
    `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
    `editor` - the text editor
    `upwards` - `true`if the selected lines should be moved upwards, `false` if downwards
    `copy` - if `true`, the action will copy lines instead of moving them
  See Also:
    `TextEditorAction.TextEditorAction(ResourceBundle, String, ITextEditor)`

Method Detail

### runWithEvent

    public void runWithEvent(Event event)

  Description copied from class: `Action`
  The default implementation of this `IAction` method ignores the event argument, and simply calls `run()`. Subclasses should override this method if they need information from the triggering event, or override `run()` if not.

  Specified by:
    `runWithEvent` in interface `IAction`
  Overrides:
    `runWithEvent` in class `Action`
  Parameters:
    `event` - the SWT event which triggered this action being run

### setEditor

    public void setEditor(ITextEditor editor)

  Description copied from class: `TextEditorAction`
  Retargets this action to the given editor.

  Overrides:
    `setEditor` in class `TextEditorAction`
  Parameters:
    `editor` - the new editor, or `null` if none

### update

    public void update()

  Description copied from class: `TextEditorAction`
  Always enables this action if it is connected to a text editor. If the associated editor is `null`, the action is disabled. Subclasses may override.

  Specified by:
    `update` in interface `IUpdate`
  Overrides:
    `update` in class `TextEditorAction`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.